# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common new_handlers new_service set_config
NULL

#' AWS Marketplace Commerce Analytics
#'
#' @description
#' Provides AWS Marketplace business intelligence data on-demand.
#'
#' @param
#' config
#' Optional configuration of credentials, endpoint, and/or region.
#'
#' @section Service syntax:
#' ```
#' svc <- marketplacecommerceanalytics(
#'   config = list(
#'     credentials = list(
#'       creds = list(
#'         access_key_id = "string",
#'         secret_access_key = "string",
#'         session_token = "string"
#'       ),
#'       profile = "string"
#'     ),
#'     endpoint = "string",
#'     region = "string"
#'   )
#' )
#' ```
#'
#' @examples
#' \dontrun{
#' svc <- marketplacecommerceanalytics()
#' svc$generate_data_set(
#'   Foo = 123
#' )
#' }
#'
#' @section Operations:
#' \tabular{ll}{
#'  \link[=marketplacecommerceanalytics_generate_data_set]{generate_data_set} \tab Given a data set type and data set publication date, asynchronously publishes the requested data set to the specified S3 bucket and notifies the specified SNS topic once the data is available\cr
#'  \link[=marketplacecommerceanalytics_start_support_data_export]{start_support_data_export} \tab Given a data set type and a from date, asynchronously publishes the requested customer support data to the specified S3 bucket and notifies the specified SNS topic once the data is available
#' }
#'
#' @rdname marketplacecommerceanalytics
#' @export
marketplacecommerceanalytics <- function(config = list()) {
  svc <- .marketplacecommerceanalytics$operations
  svc <- set_config(svc, config)
  return(svc)
}

# Private API objects: metadata, handlers, interfaces, etc.
.marketplacecommerceanalytics <- list()

.marketplacecommerceanalytics$operations <- list()

.marketplacecommerceanalytics$metadata <- list(
  service_name = "marketplacecommerceanalytics",
  endpoints = list("*" = list(endpoint = "marketplacecommerceanalytics.{region}.amazonaws.com", global = FALSE), "cn-*" = list(endpoint = "marketplacecommerceanalytics.{region}.amazonaws.com.cn", global = FALSE), "us-iso-*" = list(endpoint = "marketplacecommerceanalytics.{region}.c2s.ic.gov", global = FALSE), "us-isob-*" = list(endpoint = "marketplacecommerceanalytics.{region}.sc2s.sgov.gov", global = FALSE)),
  service_id = "Marketplace Commerce Analytics",
  api_version = "2015-07-01",
  signing_name = "marketplacecommerceanalytics",
  json_version = "1.1",
  target_prefix = "MarketplaceCommerceAnalytics20150701"
)

.marketplacecommerceanalytics$service <- function(config = list()) {
  handlers <- new_handlers("jsonrpc", "v4")
  new_service(.marketplacecommerceanalytics$metadata, handlers, config)
}
